Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.time
Class TimeSequence

    java.lang.Object
      org.deegree.datatypes.time.TimeSequence

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeSequence

extends Object
implements Cloneable, Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`TimeSequence(String time)` format: min/max,res or time1,time2,...
`TimeSequence(TimePeriod[] timePeriod)`
`TimeSequence(TimePeriod[] timePeriod, TimePosition[] timePosition)`
`TimeSequence(TimePosition[] timePosition)`

Method Summary
`Object` | `clone()`
`TimePeriod[]` | `getTimePeriod()`
`TimePosition[]` | `getTimePosition()`
`void` | `setTimePeriod(TimePeriod[] timePeriod)`
`void` | `setTimePosition(TimePosition[] timePosition)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSequence

    public TimeSequence(TimePeriod[] timePeriod)

Parameters:
  `timePeriod` -

### TimeSequence

    public TimeSequence(TimePosition[] timePosition)

Parameters:
  `timePosition` -

### TimeSequence

    public TimeSequence(TimePeriod[] timePeriod,
                        TimePosition[] timePosition)

Parameters:
  `timePeriod` -
  `timePosition` -

### TimeSequence

    public TimeSequence(String time)
                 throws InvalidParameterValueException

  format: min/max,res or time1,time2,...,timeN

  Parameters:
    `time` - string representation of a Time dimension
  Throws:
    `InvalidParameterValueException`

Method Detail

### getTimePeriod

    public TimePeriod[] getTimePeriod()

  Returns:
    Returns the timePeriod.

### setTimePeriod

    public void setTimePeriod(TimePeriod[] timePeriod)

  Parameters:
    `timePeriod` - The timePeriod to set.

### getTimePosition

    public TimePosition[] getTimePosition()

  Returns:
    Returns the timePosition.

### setTimePosition

    public void setTimePosition(TimePosition[] timePosition)

  Parameters:
    `timePosition` - The timePosition to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org